export interface JsiiCompileOptions {
    /**
     * Name of the module.
     */
    readonly name: string;
    /**
     * Name of the main module file without suffix.
     */
    readonly main: string;
    /**
     * Path to the module file file.
     */
    readonly providerPath: string;
    /**
     * Whether to print stdout.
     * @default false
     */
    readonly stdout?: boolean;
}
/**
 * Compiles the source files in `workdir` with jsii.
 */
export declare function jsiiCompile(workdir: string, options: JsiiCompileOptions): Promise<void>;
